Subject: RE: [mobile-ip] Coexistence with other uses for routing header

From: "Hesham Soliman (ERA)" <[email-masked]>
Date: Wed, 5 Sep 2001 00:06:21 +0200

> In response to a question about how Mobile IPv6 uses routing
> headers vs. other uses, I propose inserted the following paragraph
> into the revised text, as the last paragraph of section 8.9.
> 
> Comments or additional clarifying text will be appreciated.
> 
> I put this as a SHOULD, because of the uncertainty about future
> definitions of routing headers.
> 
> Regards,
> Charlie P.
> 
> ===========================================================================
> 
> It is possible that a correspondent node, having no knowledge of
> the mobile node's care-of address, would still (for reasons unspecified
> here but not necessarily related to mobility) attempt use a routing
> header to deliver a packet to the mobile node's home address.
> If the correspondent node accepts a Binding Update
> and creates a Binding Cache entry for the mobile node, then
> in that case, the correspondent node SHOULD put the mobile
> node's care-of address as the last intermediate node address
> of the routing header, following all other intermediate node
> addresses that would have already been in the routing header
> before the creation of the Binding Cache entry for the care-of
> address.
> 
	=> Wouldn't the home address be the last segment in the 
	routing header ? 

	Hesham

---

From: Behcet Sarikaya <[email-masked]>
Date: Wed, 05 Sep 2001 09:08:43 -0400

Hesham,

"Hesham Soliman (ERA)" wrote:

> following all other intermediate node

Yes, in route optimized IPv6 datagrams the destination address is the CoA and the
home address is placed in the routing header.
My 0.002 euros.

--
Behcet